# $Revision: 1.23 $, $Date: 2004/11/28 21:17:31 $
%include	/usr/lib/rpm/macros.perl
Summary:	Fetch RPM packages from FTP servers which are newer than the ones installed on your system
Summary(pl):	ciga nowe pakiety RPM z serwerw FTP
Name:		freshrpms
Version:	0.7.4
Release:	7
License:	distributable
Group:		Applications/System
Source0:	ftp://ftp.cs.tu-berlin.de/pub/local/flp/lutzeb/software/freshrpms/%{name}.tar.gz
# Source0-md5:	afce815b87a5e0b758932d94f634525f
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
freshrpms is a Perl5 script which fetches RPM packages from FTP
servers which version numbers are higher than the ones installed on
your system. freshrpms does not install any RPMs by itself but makes
use of the package manager program to determine which RPM packages are
currently installed. freshrpms uses a configuration file to accomplish
its task which defines multiple FTP servers, directories to look for
RPMs, local download directories and local archive directories for
installed RPMs. It can also garbage collect local archived RPMs which
are older than the currenly installed ones.

%description -l pl
freshrpms jest skryptem w jzyku Perl, cigajcym z serwerw FTP
pakiety RPM, ktrych numery wersji s wysze ni tych zainstalowanych
w Twoim systemie. freshrpms nie instaluje samodzielnie adnych
pakietw, ale tylko wykorzystuje zarzdc pakietw, aby sprawdzi
jakie pakiety masz zainstalowane. freshrpms do wykonania swojego
zadania uywa pliku konfiguracyjnego, ktry definiuje uywane serwery
FTP, cieki poszukiwa, lokalne katalogi na nowe pakiety oraz
archiwum. Moe take przenosi stare pakiety do archiwum.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir}}

chmod u+w .

install freshrpms $RPM_BUILD_ROOT%{_bindir}/freshrpms
install freshrpms.conf $RPM_BUILD_ROOT%{_sysconfdir}/freshrpms.conf

install freshrpms.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%config %{_sysconfdir}/freshrpms.conf
%attr(755,root,root) %{_bindir}/freshrpms
%{_mandir}/man1/freshrpms.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freshrpms.spec,v $
Revision 1.23  2004/11/28 21:17:31  radek
- release 7: do not require perl

Revision 1.22  2003/11/11 01:42:27  ankry
- caps unification, other cosmetics

Revision 1.21  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.20  2003/05/28 12:58:57  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 05:47:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/11/25 01:40:42  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.17  2002/04/25 16:19:49  arturs
fixed a small typo

Revision 1.16  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/19 18:53:33  gotar
- %desc

Revision 1.14  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.12  2001/04/17 12:04:31  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:03  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/03/19 13:00:42  kloczek
- spec adapterized,
- do not compress man pages.

Revision 1.9  2000/08/21 15:48:43  alchemyx
- added chmod u+w on build root (broken tgz?)

Revision 1.8  2000/05/18 21:48:35  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.5  2000/02/10 15:19:44  wiget
0.7.4

Revision 1.4  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.3  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jun 26 1999 Michal Margula <alchemyx@pld.org.pl>
  [0.7.3-2]
- spec hacked for PLD
- translated spec
- compressed documentation
